ur_rna.Utilities.swing

## Class AcceleratorKey

- java.lang.Object
- - ur_rna.Utilities.swing.AcceleratorKey

-     public class AcceleratorKey
      extends java.lang.Object

  Utility for getting KeyStrokes from Strings or chars

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SystemMenuKeyModifier` The integer key code that represents the standard modifier key for menu shortcuts.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceleratorKey()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAltKeyName()`
    `static java.lang.String` | `getAltKeyName(boolean abbreviated)`
    `static javax.swing.KeyStroke` | `getKey(char key)`
    `static javax.swing.KeyStroke` | `getKey(java.lang.String key)`
    `static java.lang.String` | `getMetaKeyName()`
    `static java.lang.String` | `getMetaKeyName(boolean abbreviated)`
    `static java.lang.String` | `getModifierKeyName(int modifierKeyCodeOrMask)`
    `static java.lang.String` | `getModifierKeyName(int modifierKeyCodeOrMask, boolean abbreviated)`
    `static java.lang.String` | `getShortcutModifierKeyName()`
    `static java.lang.String` | `getShortcutModifierKeyName(boolean abbreviated)`
    `static void` | `removeAllTabTraversalKeys(java.awt.Component... components)` Disable the default behavior of TAB, Shift+TAB, Ctrl+TAB, Ctrl+Shift+TAB etc, which is to move to the next/previous component respectively.
    `static void` | `removeTabTraversalKeys(java.awt.Component component, java.awt.AWTKeyStroke... removeKeys)` Disable the default behavior of TAB, Shift+TAB, Ctrl+TAB, Ctrl+Shift+TAB etc, which is to move to the next/previous component respectively.
    `static void` | `resetTabTraversalKeys(java.awt.Component... components)` Some Components (e.g.
    `static java.lang.String` | `toString(javax.swing.KeyStroke key)` Return a nice string representation of the given keystroke (the toString method of KeyStroke isn't nice.)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SystemMenuKeyModifier

          public static int SystemMenuKeyModifier

      The integer key code that represents the standard modifier key for menu shortcuts. On Windows and Linux, this is the Control Key (`Event.CTRL_MASK`), while on Mac, this is the Command Key (`Event.META_MASK`).

  - ### Constructor Detail

    - #### AcceleratorKey

          public AcceleratorKey()

  - ### Method Detail

    - #### getAltKeyName

          public static java.lang.String getAltKeyName()

    - #### getAltKeyName

          public static java.lang.String getAltKeyName(boolean abbreviated)

    - #### getKey

          public static javax.swing.KeyStroke getKey(char key)

    - #### getKey

          public static javax.swing.KeyStroke getKey(java.lang.String key)

    - #### getMetaKeyName

          public static java.lang.String getMetaKeyName()

    - #### getMetaKeyName

          public static java.lang.String getMetaKeyName(boolean abbreviated)

    - #### getModifierKeyName

          public static java.lang.String getModifierKeyName(int modifierKeyCodeOrMask)

    - #### getModifierKeyName

          public static java.lang.String getModifierKeyName(int modifierKeyCodeOrMask,
                                                            boolean abbreviated)

    - #### getShortcutModifierKeyName

          public static java.lang.String getShortcutModifierKeyName()

    - #### getShortcutModifierKeyName

          public static java.lang.String getShortcutModifierKeyName(boolean abbreviated)

    - #### removeAllTabTraversalKeys

          public static void removeAllTabTraversalKeys(java.awt.Component... components)

      Disable the default behavior of TAB, Shift+TAB, Ctrl+TAB, Ctrl+Shift+TAB etc, which is to move to the next/previous component respectively.
      Parameters:
        `components` - A list of components (e.g. JTextArea etc) to modify.

    - #### removeTabTraversalKeys

          public static void removeTabTraversalKeys(java.awt.Component component,
                                                    java.awt.AWTKeyStroke... removeKeys)

      Disable the default behavior of TAB, Shift+TAB, Ctrl+TAB, Ctrl+Shift+TAB etc, which is to move to the next/previous component respectively.
      Parameters:
        `component` - A component (e.g. JTextArea etc) to modify.

    - #### resetTabTraversalKeys

          public static void resetTabTraversalKeys(java.awt.Component... components)

      Some Components (e.g. JTextArea) disable the default Tab and Shift+Tab behavior, which is to move to the next/previous component respectively. This function resets those behaviors.
      Parameters:
        `components` - A list of components (e.g. JTextArea etc) to fix.

    - #### toString

          public static java.lang.String toString(javax.swing.KeyStroke key)

      Return a nice string representation of the given keystroke (the toString method of KeyStroke isn't nice.)